import { request } from '../request';

// /**
//  * Login
//  *
//  * @param userName User name
//  * @param password Password
//  */
// export function fetchLogin(userName: string, password: string) {
//   return request<Api.Auth.LoginToken>({
//     url: '/platformLogin',
//     // url: '/auth/login',
//     method: 'post',
//     data: {
//       userName,
//       password
//     }
//   });
// }

/**
 * Login
 *
 * @param principal User name
 * @param credentials Password
 * @param imageCode 验证码
 */
export function fetchLogin(data: { principal: string; credentials: string; imageCode: string; sessionUUID: string }) {
  return request<Api.Auth.LoginToken>({
    url: '/platformLogin',
    // url: '/auth/login',
    method: 'post',
    data
  });
}

/** Get user info */
export function fetchGetUserInfo() {
  return request<Api.Auth.UserInfo>({ url: '/sys/user/info' });
  // return request<Api.Auth.UserInfo>({ url: '/auth/getUserInfo' });
}

/**
 * Refresh token
 *
 * @param refreshToken Refresh token
 */
export function fetchRefreshToken(refreshToken: string) {
  return request<Api.Auth.LoginToken>({
    url: '/auth/refreshToken',
    method: 'post',
    data: {
      refreshToken
    }
  });
}

/**
 * return custom backend error
 *
 * @param code error code
 * @param msg error message
 */
export function fetchCustomBackendError(code: string, msg: string) {
  return request({ url: '/auth/error', params: { code, msg } });
}

/**
 * 修改用户密码
 * @param data
 * @returns
 */
export function fetchUserPassWord(data: Api.Auth.UserPassWord) {
  return request({
    url: '/sys/user/password',
    method: 'post',
    data
  });
}
